Sortie de WordPress 2.8.1 (Créer un compte)

  • Statut : non résolu
11 sujets de 1 à 11 (sur un total de 11)
  • Auteur
    Messages
  • #471875
    Anonyme 2
    Participant
    Maître WordPress
    10588 contributions

    Bonjour,

    Comment vous avez pu le voir peut être dans votre dashboard (panneau de contrôle) de votre blog,
    WordPress 2.8.1 est sortie ,plus d’info ici
    http://www.wordpress-fr.net/blog/wordpress/sortie-de-wordpress-2-8-1

    vous pouvez télécharger la dernière version 2.8.1ici

    Merci à Amaury pour l’annonce et à Xavier pour la traduction

    Amaury wrote:
    WordPress 2.8.1 corrige de nombreux bugs et améliore la sécurité des pages d’administration des extensions.

    En effet, le site Core Security Technologies a averti les développeurs de WordPress que les pages de réglages de certaines extensions peuvent être vues par des utilisateurs qui n’ont pas les permissions nécessaires. Résultat, des informations peuvent être volées. Toutes les extensions ne sont pas touchées par ce problème, néanmoins il est préférable de mettre à jour son installation pour être sur.

    Quoi d’autre sinon depuis WP 2.8 ? Ci-dessous le résumé des modifications, ou la liste des toutes les modifications depuis WP 2.8 sur le trac.

    * WordPress 2.8.1 corrige un bug lié à la fonction get_categories() qui ne fonctionnait pas sur certains thèmes.
    * La consommation de mémoire a été réduite sur le tableau de bord évitant ainsi les pages blanches, et les erreurs PHP.
    * Le processus mis à jour automatique n’efface plus accidentellement des fichiers lors de l’échec de la mise à jour
    * L’éditeur visuel se charge correctement même avec la compression Gz, auparavant sur certaines configurations il plantait…
    * La correction d’un problème de sécurité concernant les pages d’administration des extensions.
    * Le nom des rôles est traduit correctement.
    * La fonction wp_page_menu() tri désormais selon l’ordre spécifié par l’utilisateur au lieu du titre de la page
    * Les messages d’erreurs lors de l’envoi fonctionnent correctement.
    * Amélioration de la sauvegarde automatique lors de la rédaction d’un article sous IE.
    * Correction du style d’éditeur visuel
    * Les prérequis pour le système de fichier SSH2 ont été mis à jour
    * Le mode CURL est désormais le mode par défaut pour l’appel de données externes
    * Correction de la librairie de traduction avec un problème concernant le paramètre PHP mbstring.func_overload
    * Meilleur nettoyage du code CSS en ligne
    * Meilleure sécurité du menu
    * Désactivation de la coloration syntaxique sur l’éditeur de fichiers suite à des problèmes de compatibilité sur les navigateurs web.
    * Correction du style RTL

    La version française est d’or et déjà disponible ! Merci à Xavier pour la traduction…

    #680487
    Manny
    Membre
    Chevalier WordPress
    331 contributions

    Merci Lupi ! Ayant en effet vu la MAJ dispo, j’attendais plus de précisions de la part de WP francophone…

    En revanche :

    * Désactivation de la coloration syntaxique sur l’éditeur de fichiers suite à des problèmes de compatibilité sur les navigateurs web.

    !!!!!!

    Perso, je ne mettrai pas à jour cette version de WP, ça ne m’intéresse pas, rien qu’à cause de ce retour en arrière. J’en avais déjà marre de me taper un éditeur de fichiers hors d’âge sous WP, c’était pour moi la seule raison évidente de passer à la version 2.8 (hormis les correctifs de sécurité potentiels). A moins d’avoir plus d’infos sur les soit disant problèmes de compatibilité navigateurs…

    #680488
    Fabino
    Participant
    Chevalier WordPress
    106 contributions

    Vu qu’il y a correction de bugs et faille de sécurité ça semble difficile de ne pas faire la mise à jour. Et j’ai cru comprendre que l’ex-nouvel éditeur syntaxique pouvait être source d’erreur, si bien que certains se sont empressé de désactiver la coloration…

    #680489
    Anonyme 2
    Participant
    Maître WordPress
    10588 contributions
    * Désactivation de la coloration syntaxique sur l’éditeur de fichiers

    C’est quoi ça,c’est mettre le texte en couleurs,pas important 😉

    #680490
    Manny
    Membre
    Chevalier WordPress
    331 contributions

    Sauf quand tu regardes le code une grande partie de la journée lol

    #680491
    Anonyme 2
    Participant
    Maître WordPress
    10588 contributions

    je plaisantais c’est un plus c’est sur.

    #680492
    AmO
    Participant
    Maître WordPress
    4447 contributions
    Manny wrote:
    Sauf quand tu regardes le code une grande partie de la journée lol

    Déterrage… mais pour être honnête quand on passe ses journées devant du code, qu’es ce qu’on fout dans l’éditeur de code de WordPress ?

    Pour ma part, je l’ai utilisé 2-3 fois dans ma vie pour débugger sur des installations d’amis rapidos… rien ne vaut un bon éditeur web 🙂

    #680493
    JBB
    Participant
    Chevalier WordPress
    487 contributions
    Manny wrote:
    Perso, je ne mettrai pas à jour cette version de WP, ça ne m’intéresse pas, rien qu’à cause de ce retour en arrière. J’en avais déjà marre de me taper un éditeur de fichiers hors d’âge sous WP, c’était pour moi la seule raison évidente de passer à la version 2.8 (hormis les correctifs de sécurité potentiels). A moins d’avoir plus d’infos sur les soit disant problèmes de compatibilité navigateurs…

    Je te conseille vivement de mettre ton WordPress à jour, puisque c’est une mise à jour de sécurité. Si tu veux garder la coloration syntaxique, alors il te suffit de de télécharger l’archive des fichiers modifiés et de n’uploader que celui qui corrige la faille de sécurité.

    Après, reste à savoir lequel, mais s’il y a des connaisseurs dans la salle, n’hésitez pas !

    #680494
    JBB
    Participant
    Chevalier WordPress
    487 contributions

    Merde, j’suis HS ! Je pensais que l’on parlait de la version 2.8.2.

    :boulet:

    #680495
    Manny
    Membre
    Chevalier WordPress
    331 contributions

    Quel acharnement à vouloir me faire passer aux versions suivantes de WP 2.8.x 😋

    Vu que les failles du 2.8.1 sont assez dangereuses, je ne tarderai pas trop à l’upgrader du coup…

    #680496
    Maos
    Membre
    Padawan WordPress
    72 contributions

    Il faut que je trouve le temps de l’installer. :D

11 sujets de 1 à 11 (sur un total de 11)
  • Vous devez être connecté pour répondre à ce sujet.